Page MenuHomePhabricator

Log entries on the Watchlist should have css classes
Closed, ResolvedPublic

Description

Author: janhelgewolf

Description:
Log entries on the watchlist should receive classes for marking using css as already realized on Special:Log (.mw-logline-XX)


Version: 1.24rc
Severity: enhancement

Details

Reference
bz17666

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:32 PM
bzimport added a project: MediaWiki-Watchlist.
bzimport set Reference to bz17666.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Feb 25 2009, 9:43 PM

Still valid in 1.24.
Potentially related: On mw-changeslist each line is a table on its own (<table>) while in Watchlist they are list items (<li>).

Izno added a subscriber: Izno.Sep 4 2018, 2:30 AM

Enhanced watchlist with the new watchlist form emits a class of mw-changeslist-log; the user rights log also outputs mw-changeslist-log-rights on the same element.

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 4 2018, 2:30 AM
SBisson closed this task as Resolved.Sep 7 2018, 3:33 PM
SBisson claimed this task.
SBisson added a subscriber: SBisson.

Per @Izno's comment above. All log entries (RC and WL) have classes to identify them and even which type of log entry it is.